Yar_Concurrent_Client::reset
Yar_Server_Exception::getType
Yar
PHP Manual

# The Yar_Server_Exception class

(No version information available, might only be in Git)

## Introduction

If service threw exceptions, A Yar_Server_Exception will be threw in client side.

## Class synopsis

Yar_Server_Exception extends Exception {
/* Properties */
protected $_type ;
/* Methods */
public string getType ( void )
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

message

code

file

line

_type

## Table of Contents

- Yar_Server_Exception::getType — The getType purpose

Yar_Concurrent_Client::reset
Yar_Server_Exception::getType
Yar
PHP Manual